#!/bin/bash

# Partie n°2 : paramétrage du client

#source config/intranet.sh &&

# "Blacklister" pcspkr --> erreurs au boot !

cp -f data/blacklist.conf /etc/modprobe.d/ && 

# Paramétrage de iceweasel : ajout de Firefox Mozilla dans le menu "Logiciels" de MATE (changement d'icône en réalité)... 

cp -f data/firefox.desktop /usr/share/applications/ &&
cp -f data/firefox.png /usr/share/pixmaps/ &&

# ... paramétrage de l'URL de l'ENT de l'établissement (ici l'ENT e-lyco du collège République de Cholet) 

cp -f data/elyco.desktop /usr/share/applications/ &&
#cp -f data/elyco.desktop data/elyco.desktop.tmp &&
#sed -i "s/arg1/$ent/" data/elyco.desktop.tmp &&
#sed -i -e "s/Exec=iceweasel/Exec=iceweasel $ent/" data/elyco.desktop.tmp &&
#mv data/elyco.desktop.tmp /usr/share/applications/elyco.desktop &&
cp -f data/elyco.png /usr/share/pixmaps/ &&

# Faire en sorte de pouvoir utiliser avec MATE les économiseurs d'écran provenant des paquets xscreensaver, xscreensaver-gl-extra et xcreensaver-data-extra  --> choix par défaut : XMATRIX !

##cp -rf /usr/share/applications/screensavers/ /usr/share/applications/screensavers.old &&
##find /usr/share/applications/screensavers -name "*.desktop" -print | xargs sed -i 's/OnlyShowIn=GNOME;/OnlyShowIn=GNOME;MATE;/g' &&

# Désactiver le changement d'utilisateur lors d'un verrouillage d'écran
# ne fonctionne pas !

#gsettings set org.mate.lockdown disable-user-switching true &&

# Pour vérifier, valider dans un xterm : gsettings list-recursively org.mate.lockdown 

# Supprimer les options "Mettre en veille" et "Hiberner" 

mv /usr/share/polkit-1/actions/org.freedesktop.upower.policy /usr/share/polkit-1/actions/org.freedesktop.upower.policy.old &&
cp -f data/org.freedesktop.upower.policy /usr/share/polkit-1/actions/ &&

# Création du profil local dans /etc/skel/

cd /home && 
mv adminprof/ adminprof.old &&
tar xzpfv ~/integrdom/skel/skel.tar.gz &&
mv skel/ adminprof &&
chown -R adminprof:adminprof adminprof/ &&
cd /etc &&
mv skel/ skel.old &&
tar xzpfv ~/integrdom/skel/skel.tar.gz &&
chown -R root:root skel/ &&

# Création de trois comptes locaux supplémentaires :

cd ~/integrdom &&
scripts/./addusers.sh &&
useradd -d /home/prof -g prepalin -s /bin/bash -k /etc/skel -m prof &&

chmod 700 /home/adminprof &&
chmod 700 /home/adminskel &&
chmod 700 /home/prof &&

# Paramétrage de l'extinction automatique tous les jours à 21 h 00 : 
# crontab -e --> 00 21 * * * /sbin/shutdown -h now
# /var/spool/cron/crontabs

crontab data/root &&

# On commente les lignes relatives à "Google Chrome" et "Google Earth" dans /etc/apt/sources.list 
# --> raison : doublon avec les informations de /etc/apt/apt.d/ 
# --> évite donc les avertissements

##sed -i -e 's/^deb http:\/\/dl.google.com\/linux\/chrome\/deb\/ stable main/#&/' /etc/apt/sources.list &&
##sed -i -e 's/^deb http:\/\/dl.google.com\/linux\/earth\/deb\/ stable main/#&/' /etc/apt/sources.list &&

update-rc.d -f exim4 remove &&
apt-get update &&
#apt-get -y upgrade &&
apt-get -y dist-upgrade &&
#apt-get clean &&
apt-get -y autoremove --purge #&&

#reboot
